libstdc++: std::__detail::_List_node_header Struct Reference

libstdc++

std::__detail::_List_node_header Struct Reference

`#include <stl_list.h>`

Inheritance diagram for std::__detail::_List_node_header:
[legend]

## Public Types
typedef _List_node_base * | _Base_ptr

## Public Member Functions
| _List_node_header (_List_node_header &&__x) noexcept
_List_node_base * | _M_base ()
const _List_node_base * | _M_base () const
void | _M_hook (_List_node_base *const __position) noexcept
void | _M_init () noexcept
void | _M_move_nodes (_List_node_header &&__x)
void | _M_reverse () noexcept
void | _M_transfer (_List_node_base *const __first, _List_node_base *const __last) noexcept
void | _M_unhook () noexcept

## Static Public Member Functions
static void | swap (_List_node_base &__x, _List_node_base &__y) noexcept

## Public Attributes
_List_node_base * | _M_next
_List_node_base * | _M_prev
size_t | _M_size

## Detailed Description

The list node header.

Definition at line 130 of file stl_list.h.

## Member Typedef Documentation

## ◆ _Base_ptr

typedef _List_node_base* std::__detail::_List_node_base::_Base_ptr
| inherited

Definition at line 96 of file stl_list.h.

## Constructor & Destructor Documentation

## ◆ _List_node_header() [1/2]

std::__detail::_List_node_header::_List_node_header | ( |  | ) |
| inlinenoexcept

Definition at line 132 of file stl_list.h.

## ◆ _List_node_header() [2/2]

std::__detail::_List_node_header::_List_node_header | ( | _List_node_header && | __x | ) |
| inlinenoexcept

Definition at line 136 of file stl_list.h.

## Member Function Documentation

## ◆ _M_base() [1/2]

_List_node_base * std::__detail::_List_node_header::_M_base | ( |  | ) |
| inline

Definition at line 175 of file stl_list.h.

## ◆ _M_base() [2/2]

const _List_node_base * std::__detail::_List_node_base::_M_base | ( |  | ) | const
| inline

Definition at line 118 of file stl_list.h.

## ◆ _M_init()

void std::__detail::_List_node_header::_M_init | ( |  | ) |
| inlinenoexcept

Definition at line 167 of file stl_list.h.

## ◆ _M_move_nodes()

void std::__detail::_List_node_header::_M_move_nodes | ( | _List_node_header && | __x | ) |
| inline

Definition at line 149 of file stl_list.h.

## Member Data Documentation

## ◆ _M_next

_List_node_base* std::__detail::_List_node_base::_M_next
| inherited

Definition at line 98 of file stl_list.h.

## ◆ _M_prev

_List_node_base* std::__detail::_List_node_base::_M_prev
| inherited

Definition at line 99 of file stl_list.h.

## ◆ _M_size

size_t std::__detail::_List_size::_M_size
| inherited

Definition at line 125 of file stl_list.h.

The documentation for this struct was generated from the following file:

- stl_list.h